Page MenuHome GnuPG

savoury1 (Rob Savoury)
User

Projects

User does not belong to any projects.

Today

  • Clear sailing ahead.

Tomorrow

  • Clear sailing ahead.

Saturday

  • Clear sailing ahead.

User Details

User Since
Jul 3 2021, 10:22 PM (137 w, 4 d)
Availability
Available

Recent Activity

Jan 8 2023

savoury1 added a comment to T6340: Libgcrypt: Libgcrypt 1.8.10 FTBFS against new Libgpg-error 1.46.

Can you therefore please clarify the purpose of the Libgcrypt LTS branch? My impression was that pairing the Libgcrypt LTS with GnuPG LTS was appropriate, based on both GnuPG and Libgcrypt LTS appearing on your downloads page at approximately the same time (from memory). Specifically, is there any issue using latest Libgcrypt 1.10.x with GnuPG LTS? Thank you.

Jan 8 2023, 7:40 PM · Bug Report

Jan 6 2023

savoury1 created T6340: Libgcrypt: Libgcrypt 1.8.10 FTBFS against new Libgpg-error 1.46.
Jan 6 2023, 9:48 PM · Bug Report

Oct 18 2022

savoury1 added a comment to T6244: GnuPG: GnuPG 2.2.40 LTS FTBFS against new Libgpg-error 1.46.

Renamed bug due it being incorrect to assume this was a bug with libgpg-error. Turns out that a simple patch to g10/Makefile.am in GnuPG 2.2.40 LTS source fixes the linking error. Patch that fixed build for me is attached, which basically puts -lws2_32 in the correct location for builds with the new libgpg-error 1.46 version.

Oct 18 2022, 2:19 AM · Windows, gnupg (gpg22), Bug Report
savoury1 renamed T6244: GnuPG: GnuPG 2.2.40 LTS FTBFS against new Libgpg-error 1.46 from Libgpg-error: GnuPG 2.2.40 LTS FTBFS against new Libgpg-error 1.46 to GnuPG: GnuPG 2.2.40 LTS FTBFS against new Libgpg-error 1.46.
Oct 18 2022, 2:15 AM · Windows, gnupg (gpg22), Bug Report

Oct 17 2022

savoury1 created T6244: GnuPG: GnuPG 2.2.40 LTS FTBFS against new Libgpg-error 1.46.
Oct 17 2022, 8:22 PM · Windows, gnupg (gpg22), Bug Report

Mar 6 2022

savoury1 added a comment to T5871: GPGME: New Qt util.cpp (1.17.0) FTBFS for i386 only.

The patch for T5834 (https://dev.gnupg.org/rMad3aabdd8a64156c7e3a75d695ae1ab2c4bec841) was already applied to the build of GPGME 1.17.0 for Focal, as I did browse the list of latest GPGME bugs first before reporting this bug. Attempting to build with the latest GPGME 1.17.1 (with the included ABI patch) results in exactly the same FTBFS for i386 only, so this does appear to be a distinct issue not related to that of ABI backwards compatibility.

Mar 6 2022, 8:34 PM · Duplicate, gpgme, Bug Report

Mar 4 2022

savoury1 created T5871: GPGME: New Qt util.cpp (1.17.0) FTBFS for i386 only.
Mar 4 2022, 11:23 PM · Duplicate, gpgme, Bug Report

Jul 17 2021

savoury1 created T5526: GPGME: Qt test t-various fails on i386.
Jul 17 2021, 10:09 PM · gpgme, Bug Report